import fs from 'fs'

let Config = {
	WWW:  './www',
	DB:   './db',
	PORT: 8080
}

export function getConfig() {
	return Config
}

export function setConfig() {
	let path = './config.json'
	if (fs.existsSync(path)) {
		console.log('Файл config.json найден! Конфигурация по нему.')

		let json = JSON.parse(fs.readFileSync(path))

		Config.WWW = json.WWW || Config.WWW
		Config.DB = json.DB || Config.DB
		Config.PORT = json.PORT || Config.PORT
	}
	else
		console.log('Файл config.json не найден, конфигурация по умолчанию.')

	console.log(`Веб-контент : ${Config.WWW}`)
	console.log(`База данных : ${Config.DB}`)
	console.log(`Порт        : ${Config.PORT}`)

	fs.writeFileSync(path, JSON.stringify(Config, 0, 2))
	console.log('Конфигурация записана в файл config.json')
}
